All of lore.kernel.org
 help / color / mirror / Atom feed
From: Florian Westphal <fw@strlen.de>
To: <netdev@vger.kernel.org>
Cc: Florian Westphal <fw@strlen.de>, David Ahern <dsahern@gmail.com>
Subject: [PATCH net-next v2 1/6] selftests: rtnetlink.sh: add rudimentary vrf test
Date: Fri, 22 Sep 2017 08:10:03 +0200	[thread overview]
Message-ID: <20170922061008.14723-2-fw@strlen.de> (raw)
In-Reply-To: <20170922061008.14723-1-fw@strlen.de>

Cc: David Ahern <dsahern@gmail.com>
Signed-off-by: Florian Westphal <fw@strlen.de>
---
 tools/testing/selftests/net/rtnetlink.sh | 42 ++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/tools/testing/selftests/net/rtnetlink.sh b/tools/testing/selftests/net/rtnetlink.sh
index 4b48de565cae..6ee2bbaebcd4 100755
--- a/tools/testing/selftests/net/rtnetlink.sh
+++ b/tools/testing/selftests/net/rtnetlink.sh
@@ -291,6 +291,47 @@ kci_test_ifalias()
 	echo "PASS: set ifalias $namewant for $devdummy"
 }
 
+kci_test_vrf()
+{
+	vrfname="test-vrf"
+	ret=0
+
+	ip link show type vrf 2>/dev/null
+	if [ $? -ne 0 ]; then
+		echo "SKIP: vrf: iproute2 too old"
+		return 0
+	fi
+
+	ip link add "$vrfname" type vrf table 10
+	check_err $?
+	if [ $ret -ne 0 ];then
+		echo "FAIL: can't add vrf interface, skipping test"
+		return 0
+	fi
+
+	ip -br link show type vrf | grep -q "$vrfname"
+	check_err $?
+	if [ $ret -ne 0 ];then
+		echo "FAIL: created vrf device not found"
+		return 1
+	fi
+
+        ip link set dev "$vrfname" up
+	check_err $?
+
+	ip link set dev "$devdummy" master "$vrfname"
+	check_err $?
+	ip link del dev "$vrfname"
+	check_err $?
+
+	if [ $ret -ne 0 ];then
+		echo "FAIL: vrf"
+		return 1
+	fi
+
+	echo "PASS: vrf"
+}
+
 kci_test_rtnl()
 {
 	kci_add_dummy
@@ -306,6 +347,7 @@ kci_test_rtnl()
 	kci_test_bridge
 	kci_test_addrlabel
 	kci_test_ifalias
+	kci_test_vrf
 
 	kci_del_dummy
 }
-- 
2.13.5

  reply	other threads:[~2017-09-22  6:09 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-22  6:10 [PATCH net-next v2 0/6] rtnetlink: preparation patches for further rtnl lock pushdown/removal Florian Westphal
2017-09-22  6:10 ` Florian Westphal [this message]
2017-09-23 16:59   ` [PATCH net-next v2 1/6] selftests: rtnetlink.sh: add rudimentary vrf test David Ahern
2017-09-23 17:07   ` David Ahern
2017-09-22  6:10 ` [PATCH net-next v2 2/6] rtnetlink: add helper to put master ifindex Florian Westphal
2017-09-23 17:01   ` David Ahern
2017-09-22  6:10 ` [PATCH net-next v2 3/6] rtnetlink: add helper to dump qdisc name Florian Westphal
2017-09-23 17:03   ` David Ahern
2017-09-23 17:31   ` Eric Dumazet
2017-09-23 18:38     ` Florian Westphal
2017-09-22  6:10 ` [PATCH net-next v2 4/6] rtnetlink: add helper to dump ifalias Florian Westphal
2017-09-23 17:14   ` David Ahern
2017-09-22  6:10 ` [PATCH net-next v2 5/6] rtnetlink: add helpers to dump vf and netnsid information Florian Westphal
2017-09-23 17:12   ` David Ahern
2017-09-22  6:10 ` [PATCH net-next v2 6/6] rtnetlink: rtnl_have_link_slave_info doesn't need rtnl Florian Westphal
2017-09-23 17:17   ` David Ahern

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20170922061008.14723-2-fw@strlen.de \
    --to=fw@strlen.de \
    --cc=dsahern@gmail.com \
    --cc=netdev@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.